Subject: Unix Interactive Tools 4.3 released
From: [email-masked] (Tudor Hulubei)
Date: 8 Jul 1994 16:45:01 GMT
Newsgroups: comp.os.linux.announce

Unix Interactive Tools 4.3
==========================

Topics:
=======
        Unix Interractive Tools 4.3 available at ulise.cs.pub.ro

  I've uploaded the new version of the package Unix Interactive Tools
at sunsite.unc.edu, tsx-11.mit.edu, ftp.funet.fi, garbo.uwasa.fi. and
pub.pub.ro but I  don't know when it will become available. Meanwhile
you can get it  from  ulise.cs.pub.ro  (/pub/public/linux/uit/).  The
file name is uit-4.3.tar.gz .

The package was originally written  for Linux, but  I've ported it to
ULTRIX, HP-UX and DEC OSF/1 and works  just  fine. Under  Linux,  the
standard  ANSI  color   sequences  are  used.  The  package  name  is
uit-4.3.tar.gz .

What is new:

- a new script that executes a different action for each  file type
specified. If you press F2 or ^Kz on a "*.c" file, UIT will compile
it, if you press F2 or ^Kz on a "*.tar.gz" file, UIT will list  the
tar archive contents, if you press the same keys on a  "*.gz"  file
UIT will display its uncompressed contents on the screen, etc ...
By default uitaction checks for the following patterns:

"*.cc" "*.c" "*.l" "*.y" "*.h" "*.s" "*.S" "*.o" "*.a" "*.sa"
"Makefile" "makefile"
"*.tar.gz" "*.tgz" "*.tar.z" "*.tar.Z" "*.taz" "*.tar" "*.gz"
"*.z" "*.Z"
"*.doc" "*.txt"
"*.gif" "*.jpg" "*.tif" "*.bmp"

and acts as appropriate. If  no  pattern  is  found,  the  file  is
displayed using more. Feel free to change this.

If you press F2 or ^Kz on a "*.gif" file or a "*.jpg" file and  you
have the zgv utility installed, you will be able to see it. If  you
want to change the gif/jpeg viewer, all you need to do is to change
its name in the uitaction script. I don't know a "*.bmp" or "*.tif"
viewer. Feel free to add one in the uitaction script.

The script can be easy enhanced. Just read it.

You  can  have  a  local  version  of  this script  (in the current
directory). Please read the manual page for more details.

- UIT 4.3 was tested on DEC OSF/1 operating system.

- enhanced configuration files:
	- uitaction (F2 or ^Kz)
	- grep (^Vr)
	- ispell (^Vi)
	- ' | more' added to finger, w, ...
	- reset (terminal reset) (^WR)
	- mv (you can now change a file name even if the two panels
	  don't show the same directory) (^Vr)
	- chmod for a group of files (^Wlm)
	- chown for a group of files (^Wlo)
	- chgrp for a group of files (^Wlg)
	- conform  the   current  directory   to  the  other  panel
	  directory (Alt-c c, ESC c c, ^[cc) - <ConformCurrentDir>
	- conform  the other panel directory  to  the current panel
	  directory (Alt-c o, ESC c o, ^[co) - <ConformOtherDir>
	- tar + gzip in one shot (^Wz).  Someting  like   that   is
	  executed: tar cf - * | gzip -9cf > %b.tar.gz
	- the background version of the previous command (^Wbz)
	- gunzip + un-tar in one shot (^Wv). Someting  like that is
	  executed: gzip -dc %f | tar xf -
	- the background version of the previous command (^Wbv)
	- copy the other panel path to the command line (^Ka)

- enhanced manual pages.

- a better Makefile

- 3 bugs were fixed.

- better error checking on directories.

- ^H support (treated as backspace).

- the ascii documentation was removed. I think that every modern
UNIX system should have the man utility.

Here it is the lsm entry:

Begin2
Title        = Unix Interactive Tools
Version      = 4.3
Desc1        = UIT is a file system browser for UNIX operating systems.
Desc2        = It was tested under Linux, ULTRIX, HP-UX and DEC OSF/1.
Desc3        = An interactive process viewer/killer, a hex/ascii file
Desc4        = viewer, an auto-mount shell script and a per file type
Desc5        = action script are also available.
Desc6        = Under Linux, the standard ANSI color sequences are used.
Desc7        = A manual page and info documentation are available.
Author       = Tudor Hulubei & Andrei Pitis
AuthorEmail  = [email-masked], [email-masked]
Maintainer   = Tudor Hulubei
MaintEmail   = [email-masked], [email-masked]
Site1        = ulise.cs.pub.ro
Path1        = /pub/public/linux/uit
File1        = uit-4.3.tar.gz
FileSize1    = 102895
Site2        = pub.pub.ro
Path2        = /pub/UnixInteractiveTools
File2        = uit-4.3.tar.gz
FileSize2    = 102895
Site3        = sunsite.unc.edu
Path3        = /pub/Linux/utils/file
File3        = uit-4.3.tar.gz
FileSize3    = 102895
Site4        = tsx-11.mit.edu
Path4        = /pub/linux/sources/usr.bin
File4        = uit-4.3.tar.gz
FileSize4    = 102895
Site5        = garbo.uwasa.fi
Path5        = /unix/uit
File5        = uit-4.3.tar.gz
FileSize5    = 102895
Required1    = Linux, ULTRIX, HP-UX, DEC OSF/1 or other UNIX system with
Required2    = ANSI/POSIX terminals. You will also need a C compiler
Required3    = and the lex/flex utility to compile the UIT stuff.
CopyPolicy1  = GNU GPL
Keywords     = uit, uitps, uitview, uitcmp, uitmount
Comment1     = UIT is a very stable program. It's easy to build, just
Comment2     = read the INSTALL file. You may fine tune UIT when running
Comment3     = on serial terminals to allow faster refresh. Just read
Comment4     = the man page/info documentation.
RelFiles1    = .uitrc.console, .uitrc.vt100, .uitrc.vt100, .uitrc.xterm
RelFiles2    = .uittermcap, uit, uitps, uitview, uitcmp, uitmount,
RelFile3     = uitmatch, uitaction, .uitaction, uit.man, uitaction.man
RelFile4     = uitcmp.man, uitmount.man, uitmatch.man, uit.texi
Entered      = 6JUL94
EnteredBy    = Tudor Hulubei
CheckedEmail = [email-masked], [email-masked]
End

Enjoy !
Tudor Hulubei   [email-masked]
                [email-masked]

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.